Loading...
Searching...
No Matches
peptides.h File Reference
`#include <BALL/common.h>`
`#include <BALL/KERNEL/protein.h>`
`#include <BALL/DATATYPE/options.h>`
`#include <BALL/CONCEPT/embeddable.h>`

Go to the source code of this file.

## Classes

class | BALL::Peptides::NameConverter
| This class provides conversion of atom names between naming schemata. More...
struct | BALL::Peptides::NameConverter::Option
| Option names. More...
struct | BALL::Peptides::NameConverter::Default
| Default values for options. More...

## Namespaces

namespace | BALL
namespace | BALL::Peptides

## Typedefs

Type definitions
typedef std::list< String > | BALL::Peptides::ThreeLetterAASequence
| An amino acid sequence in three-letter code.
typedef String | BALL::Peptides::OneLetterAASequence
| An amino acid sequence in one-letter code.

## Functions

Amino acid sequence conversion
BALL_EXPORT char | BALL::Peptides::OneLetterCode (const String &aa)
BALL_EXPORT String | BALL::Peptides::ThreeLetterCode (char aa)
BALL_EXPORT bool | BALL::Peptides::IsOneLetterCode (char aa)
BALL_EXPORT bool | BALL::Peptides::IsThreeLetterCode (const String &aa)
BALL_EXPORT OneLetterAASequence | BALL::Peptides::ThreeLetterToOneLetter (const ThreeLetterAASequence &sequence)
BALL_EXPORT ThreeLetterAASequence | BALL::Peptides::OneLetterToThreeLetter (const OneLetterAASequence &sequence)
BALL_EXPORT OneLetterAASequence | BALL::Peptides::GetSequence (const Protein &protein)
BALL_EXPORT OneLetterAASequence | BALL::Peptides::GetSequence (const Chain &chain)
BALL_EXPORT OneLetterAASequence | BALL::Peptides::GetSequence (ResidueConstIterator it)